import { Request, Response } from 'express';
import { prisma, __path, log } from '../../../index.js';

function get(req: Request, res: Response) {
	// Render the page
	prisma.itemCategory
		.findMany({})
		.then((items) => {
			// Count amount of total items
			res.render(__path + '/src/frontend/manage/categoryManager.eta.html', { items: items });
		})
		.catch((err) => {
			console.error(err);
			res.status(500).render(__path + '/src/frontend/errors/dbError.eta.html', { error: err });
		});
}

export default { get };
